Index: src/sas/qtgui/SlicerModel.py
===================================================================
--- src/sas/qtgui/SlicerModel.py	(revision 3bdbfcc5cdff8a3a11a9bb19c1cc8c3660a9c2e2)
+++ src/sas/qtgui/SlicerModel.py	(revision 3bdbfcc5cdff8a3a11a9bb19c1cc8c3660a9c2e2)
@@ -0,0 +1,53 @@
+from PyQt4 import QtGui
+from PyQt4 import QtCore
+
+import sas.qtgui.GuiUtils as GuiUtils
+
+class SlicerModel(object):
+    def __init__(self):
+        # Model representation of local parameters
+        self._model = QtGui.QStandardItemModel()
+
+        self.update_model = True
+        self._model.itemChanged.connect(self.setParamsFromModel)
+
+    def setModelFromParams(self):
+        """
+        Set up the Qt model for data handling between controls
+        """
+        parameters = self.getParams()
+        self._model.removeRows( 0, self._model.rowCount() )
+        # Crete/overwrite model items
+        for parameter in parameters.keys():
+            item1 = QtGui.QStandardItem(parameter)
+            item2 = QtGui.QStandardItem(GuiUtils.formatNumber(parameters[parameter]))
+            self._model.appendRow([item1, item2])
+        self._model.setHeaderData(0, QtCore.Qt.Horizontal, QtCore.QVariant("Parameter"))
+        self._model.setHeaderData(1, QtCore.Qt.Horizontal, QtCore.QVariant("Value"))
+
+    def setParamsFromModel(self, item):
+        """
+        Set up the params dictionary based on the model content.
+        """
+        params = self.getParams()
+        index = self._model.indexFromItem(item)
+        row_index = index.row()
+        param_name = str(self._model.item(row_index, 0).text())
+        params[param_name] = float(self._model.item(row_index, 1).text())
+
+        self.update_model = False
+        self.setParams(params)
+        self.update_model = True
+
+    def model(self):
+        '''getter for the model'''
+        return self._model
+
+    def getParams(self):
+        ''' pure virtual '''
+        raise NotImplementedError("Parameter getter must be implemented in derived class.")
+
+    def setParams(self):
+        ''' pure virtual '''
+        raise NotImplementedError("Parameter setter must be implemented in derived class.")
+
Index: src/sas/qtgui/SlicerParameters.py
===================================================================
--- src/sas/qtgui/SlicerParameters.py	(revision 3bdbfcc5cdff8a3a11a9bb19c1cc8c3660a9c2e2)
+++ src/sas/qtgui/SlicerParameters.py	(revision 3bdbfcc5cdff8a3a11a9bb19c1cc8c3660a9c2e2)
@@ -0,0 +1,72 @@
+"""
+Allows users to modify the box slicer parameters.
+"""
+from PyQt4 import QtGui
+from PyQt4 import QtCore
+
+# Local UI
+from sas.qtgui.UI.SlicerParametersUI import Ui_SlicerParametersUI
+
+class SlicerParameters(QtGui.QDialog, Ui_SlicerParametersUI):
+    """
+    Interaction between the QTableView and the underlying model,
+    passed from a slicer instance.
+    """
+    def __init__(self, parent=None, model=None):
+        super(SlicerParameters, self).__init__()
+
+        self.setupUi(self)
+        assert isinstance(model, QtGui.QStandardItemModel)
+
+        self.model = model
+
+        # Define a proxy model so cell enablement can be finegrained.
+        self.proxy = ProxyModel(self)
+        self.proxy.setSourceModel(self.model)
+
+        # Set the proxy model for display in the Table View.
+        self.lstParams.setModel(self.proxy)
+
+        # Disallow edit of the parameter name column.
+        self.lstParams.model().setColumnReadOnly(0, True)
+
+        # Specify the validator on the parameter value column.
+        self.lstParams.setItemDelegate(ValidatedItemDelegate())
+
+class ProxyModel(QtGui.QIdentityProxyModel):
+    """
+    Trivial proxy model with custom column edit flag
+    """
+    def __init__(self, parent=None):
+        super(ProxyModel, self).__init__(parent)
+        self._columns = set()
+
+    def columnReadOnly(self, column):
+        return column in self._columns
+
+    def setColumnReadOnly(self, column, readonly=True):
+        if readonly:
+            self._columns.add(column)
+        else:
+            self._columns.discard(column)
+
+    def flags(self, index):
+        flags = super(ProxyModel, self).flags(index)
+        if self.columnReadOnly(index.column()):
+            flags &= ~QtCore.Qt.ItemIsEditable
+        return flags
+
+
+class ValidatedItemDelegate(QtGui.QStyledItemDelegate):
+    """
+    Simple delegate enabling adding a validator to a cell editor.
+    """
+    def createEditor(self, widget, option, index):
+        if not index.isValid():
+            return 0
+        if index.column() == 1: # Edir only cells in the second column
+            editor = QtGui.QLineEdit(widget)
+            validator = QtGui.QDoubleValidator()
+            editor.setValidator(validator)
+            return editor
+        return super(ValidatedItemDelegate, self).createEditor(widget, option, index)
Index: src/sas/qtgui/UI/BoxSumUI.ui
===================================================================
--- src/sas/qtgui/UI/BoxSumUI.ui	(revision 3bdbfcc5cdff8a3a11a9bb19c1cc8c3660a9c2e2)
+++ src/sas/qtgui/UI/BoxSumUI.ui	(revision 3bdbfcc5cdff8a3a11a9bb19c1cc8c3660a9c2e2)
@@ -0,0 +1,318 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
+ <class>BoxSumUI</class>
+ <widget class="QDialog" name="BoxSumUI">
+  <property name="geometry">
+   <rect>
+    <x>0</x>
+    <y>0</y>
+    <width>529</width>
+    <height>492</height>
+   </rect>
+  </property>
+  <property name="sizePolicy">
+   <sizepolicy hsizetype="MinimumExpanding" vsizetype="MinimumExpanding">
+    <horstretch>0</horstretch>
+    <verstretch>0</verstretch>
+   </sizepolicy>
+  </property>
+  <property name="windowTitle">
+   <string>Box Sum</string>
+  </property>
+  <property name="windowIcon">
+   <iconset resource="main_resources.qrc">
+    <normaloff>:/res/ball.ico</normaloff>:/res/ball.ico</iconset>
+  </property>
+  <layout class="QGridLayout" name="gridLayout_7">
+   <item row="0" column="0" colspan="2">
+    <widget class="QGroupBox" name="groupBox">
+     <property name="title">
+      <string>Box dimensions</string>
+     </property>
+     <layout class="QGridLayout" name="gridLayout_3">
+      <item row="0" column="0">
+       <layout class="QHBoxLayout" name="horizontalLayout">
+        <item>
+         <widget class="QGroupBox" name="groupBox_4">
+          <property name="title">
+           <string>Box size</string>
+          </property>
+          <layout class="QGridLayout" name="gridLayout">
+           <item row="0" column="0">
+            <widget class="QLabel" name="label">
+             <property name="toolTip">
+              <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Height of the box.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+             </property>
+             <property name="text">
+              <string>Height</string>
+             </property>
+            </widget>
+           </item>
+           <item row="0" column="1">
+            <widget class="QLineEdit" name="txtBoxHeight">
+             <property name="toolTip">
+              <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Height of the box.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+             </property>
+            </widget>
+           </item>
+           <item row="0" column="2">
+            <widget class="QLabel" name="label_10">
+             <property name="text">
+              <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;A&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+             </property>
+            </widget>
+           </item>
+           <item row="1" column="0">
+            <widget class="QLabel" name="label_2">
+             <property name="toolTip">
+              <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Width of the box.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+             </property>
+             <property name="text">
+              <string>Width</string>
+             </property>
+            </widget>
+           </item>
+           <item row="1" column="1">
+            <widget class="QLineEdit" name="txtBoxWidth">
+             <property name="toolTip">
+              <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Width of the box.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+             </property>
+            </widget>
+           </item>
+           <item row="1" column="2">
+            <widget class="QLabel" name="label_11">
+             <property name="text">
+              <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;A&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+             </property>
+            </widget>
+           </item>
+          </layout>
+         </widget>
+        </item>
+        <item>
+         <widget class="QGroupBox" name="groupBox_2">
+          <property name="title">
+           <string>Box center</string>
+          </property>
+          <layout class="QGridLayout" name="gridLayout_2">
+           <item row="0" column="0">
+            <widget class="QLabel" name="label_3">
+             <property name="toolTip">
+              <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;X coordinate of the center of the box.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+             </property>
+             <property name="text">
+              <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Q&lt;span style=&quot; vertical-align:sub;&quot;&gt;X&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+             </property>
+            </widget>
+           </item>
+           <item row="0" column="1">
+            <widget class="QLineEdit" name="txtCenterX">
+             <property name="toolTip">
+              <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;X coordinate of the center of the box.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+             </property>
+            </widget>
+           </item>
+           <item row="1" column="0">
+            <widget class="QLabel" name="label_4">
+             <property name="toolTip">
+              <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Y coordinate of the center of the box.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+             </property>
+             <property name="text">
+              <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Q&lt;span style=&quot; vertical-align:sub;&quot;&gt;Y&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+             </property>
+            </widget>
+           </item>
+           <item row="1" column="1">
+            <widget class="QLineEdit" name="txtCenterY">
+             <property name="toolTip">
+              <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Y coordinate of the center of the box.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+             </property>
+             <property name="text">
+              <string/>
+             </property>
+            </widget>
+           </item>
+          </layout>
+         </widget>
+        </item>
+       </layout>
+      </item>
+     </layout>
+    </widget>
+   </item>
+   <item row="1" column="0" colspan="2">
+    <widget class="QGroupBox" name="groupBox_3">
+     <property name="title">
+      <string>Box parameters</string>
+     </property>
+     <layout class="QGridLayout" name="gridLayout_5">
+      <item row="0" column="0">
+       <layout class="QFormLayout" name="formLayout">
+        <item row="0" column="0">
+         <widget class="QLabel" name="label_5">
+          <property name="toolTip">
+           <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Average point count in selected region.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+          </property>
+          <property name="text">
+           <string>Avg:</string>
+          </property>
+         </widget>
+        </item>
+        <item row="0" column="1">
+         <widget class="QLabel" name="lblAvg">
+          <property name="toolTip">
+           <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Average point count in selected region.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+          </property>
+          <property name="text">
+           <string>TextLabel</string>
+          </property>
+         </widget>
+        </item>
+        <item row="1" column="0">
+         <widget class="QLabel" name="label_6">
+          <property name="toolTip">
+           <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Error of average point count in selected region.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+          </property>
+          <property name="text">
+           <string>Avg error:</string>
+          </property>
+         </widget>
+        </item>
+        <item row="1" column="1">
+         <widget class="QLabel" name="lblAvgErr">
+          <property name="toolTip">
+           <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Error of average point count in selected region.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+          </property>
+          <property name="text">
+           <string>TextLabel</string>
+          </property>
+         </widget>
+        </item>
+        <item row="2" column="0">
+         <widget class="QLabel" name="label_7">
+          <property name="toolTip">
+           <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Total number of points in the selected region.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+          </property>
+          <property name="text">
+           <string>Num. of points:</string>
+          </property>
+         </widget>
+        </item>
+        <item row="2" column="1">
+         <widget class="QLabel" name="lblNumPoints">
+          <property name="toolTip">
+           <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Total number of points in the selected region.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+          </property>
+          <property name="text">
+           <string>TextLabel</string>
+          </property>
+         </widget>
+        </item>
+        <item row="3" column="0">
+         <widget class="QLabel" name="label_8">
+          <property name="toolTip">
+           <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Sum of point intensities for all points in the selected region.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+          </property>
+          <property name="text">
+           <string>Sum:</string>
+          </property>
+         </widget>
+        </item>
+        <item row="3" column="1">
+         <widget class="QLabel" name="lblSum">
+          <property name="toolTip">
+           <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Sum of point intensities for all points in the selected region.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+          </property>
+          <property name="text">
+           <string>TextLabel</string>
+          </property>
+         </widget>
+        </item>
+        <item row="4" column="0">
+         <widget class="QLabel" name="label_9">
+          <property name="toolTip">
+           <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Error of point intensity sum for all points in the selected region.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+          </property>
+          <property name="text">
+           <string>Sum error:</string>
+          </property>
+         </widget>
+        </item>
+        <item row="4" column="1">
+         <widget class="QLabel" name="lblSumErr">
+          <property name="toolTip">
+           <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Error of point intensity sum for all points in the selected region.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+          </property>
+          <property name="text">
+           <string>TextLabel</string>
+          </property>
+         </widget>
+        </item>
+       </layout>
+      </item>
+     </layout>
+    </widget>
+   </item>
+   <item row="2" column="0">
+    <spacer name="verticalSpacer">
+     <property name="orientation">
+      <enum>Qt::Vertical</enum>
+     </property>
+     <property name="sizeHint" stdset="0">
+      <size>
+       <width>20</width>
+       <height>18</height>
+      </size>
+     </property>
+    </spacer>
+   </item>
+   <item row="3" column="1">
+    <widget class="QDialogButtonBox" name="buttonBox">
+     <property name="orientation">
+      <enum>Qt::Horizontal</enum>
+     </property>
+     <property name="standardButtons">
+      <set>QDialogButtonBox::Close</set>
+     </property>
+    </widget>
+   </item>
+  </layout>
+ </widget>
+ <resources>
+  <include location="main_resources.qrc"/>
+ </resources>
+ <connections>
+  <connection>
+   <sender>buttonBox</sender>
+   <signal>accepted()</signal>
+   <receiver>BoxSumUI</receiver>
+   <slot>accept()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>248</x>
+     <y>254</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>157</x>
+     <y>274</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>buttonBox</sender>
+   <signal>rejected()</signal>
+   <receiver>BoxSumUI</receiver>
+   <slot>reject()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>316</x>
+     <y>260</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>286</x>
+     <y>274</y>
+    </hint>
+   </hints>
+  </connection>
+ </connections>
+</ui>
Index: src/sas/qtgui/UI/SlicerParametersUI.ui
===================================================================
--- src/sas/qtgui/UI/SlicerParametersUI.ui	(revision 3bdbfcc5cdff8a3a11a9bb19c1cc8c3660a9c2e2)
+++ src/sas/qtgui/UI/SlicerParametersUI.ui	(revision 3bdbfcc5cdff8a3a11a9bb19c1cc8c3660a9c2e2)
@@ -0,0 +1,92 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
+ <class>SlicerParametersUI</class>
+ <widget class="QDialog" name="SlicerParametersUI">
+  <property name="geometry">
+   <rect>
+    <x>0</x>
+    <y>0</y>
+    <width>328</width>
+    <height>266</height>
+   </rect>
+  </property>
+  <property name="sizePolicy">
+   <sizepolicy hsizetype="MinimumExpanding" vsizetype="MinimumExpanding">
+    <horstretch>0</horstretch>
+    <verstretch>0</verstretch>
+   </sizepolicy>
+  </property>
+  <property name="windowTitle">
+   <string>Slicer Parameters</string>
+  </property>
+  <property name="windowIcon">
+   <iconset resource="main_resources.qrc">
+    <normaloff>:/res/ball.ico</normaloff>:/res/ball.ico</iconset>
+  </property>
+  <layout class="QGridLayout" name="gridLayout">
+   <item row="0" column="0" colspan="2">
+    <widget class="QTableView" name="lstParams"/>
+   </item>
+   <item row="1" column="0">
+    <spacer name="verticalSpacer">
+     <property name="orientation">
+      <enum>Qt::Vertical</enum>
+     </property>
+     <property name="sizeHint" stdset="0">
+      <size>
+       <width>20</width>
+       <height>21</height>
+      </size>
+     </property>
+    </spacer>
+   </item>
+   <item row="2" column="1">
+    <widget class="QDialogButtonBox" name="buttonBox">
+     <property name="orientation">
+      <enum>Qt::Horizontal</enum>
+     </property>
+     <property name="standardButtons">
+      <set>QDialogButtonBox::Ok</set>
+     </property>
+    </widget>
+   </item>
+  </layout>
+ </widget>
+ <resources>
+  <include location="main_resources.qrc"/>
+ </resources>
+ <connections>
+  <connection>
+   <sender>buttonBox</sender>
+   <signal>accepted()</signal>
+   <receiver>SlicerParametersUI</receiver>
+   <slot>accept()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>248</x>
+     <y>254</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>157</x>
+     <y>274</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>buttonBox</sender>
+   <signal>rejected()</signal>
+   <receiver>SlicerParametersUI</receiver>
+   <slot>reject()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>316</x>
+     <y>260</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>286</x>
+     <y>274</y>
+    </hint>
+   </hints>
+  </connection>
+ </connections>
+</ui>
Index: src/sas/qtgui/UnitTesting/BoxSumTest.py
===================================================================
--- src/sas/qtgui/UnitTesting/BoxSumTest.py	(revision 3bdbfcc5cdff8a3a11a9bb19c1cc8c3660a9c2e2)
+++ src/sas/qtgui/UnitTesting/BoxSumTest.py	(revision 3bdbfcc5cdff8a3a11a9bb19c1cc8c3660a9c2e2)
@@ -0,0 +1,47 @@
+import sys
+import unittest
+from mock import MagicMock
+
+from PyQt4 import QtGui
+from PyQt4 import QtCore
+
+# set up import paths
+import path_prepare
+
+# Local
+from BoxSum import BoxSum
+
+app = QtGui.QApplication(sys.argv)
+
+class BoxSumTest(unittest.TestCase):
+    '''Test the BoxSum'''
+    def setUp(self):
+        '''Create the BoxSum'''
+        # example model
+        model = QtGui.QStandardItemModel()
+        parameters = [1.0, 2.0, 3.0, 4.0, 5.0, 6.0, 7.0, 8.0, 9.0]
+        for index, parameter in enumerate(parameters):
+            model.setData(model.index(0, index),
+                    QtCore.QVariant(parameter))
+        self.widget = BoxSum(None, model=model)
+
+    def tearDown(self):
+        '''Destroy the GUI'''
+        self.widget.close()
+        self.widget = None
+
+    def testDefaults(self):
+        '''Test the GUI in its default state'''
+        self.assertIsInstance(self.widget.mapper.mappedWidgetAt(0), QtGui.QLineEdit)
+        self.assertIsInstance(self.widget.mapper.mappedWidgetAt(1), QtGui.QLineEdit)
+        self.assertIsInstance(self.widget.mapper.mappedWidgetAt(2), QtGui.QLineEdit)
+        self.assertIsInstance(self.widget.mapper.mappedWidgetAt(3), QtGui.QLineEdit)
+        self.assertIsInstance(self.widget.mapper.mappedWidgetAt(4), QtGui.QLabel)
+        self.assertIsInstance(self.widget.mapper.mappedWidgetAt(5), QtGui.QLabel)
+        self.assertIsInstance(self.widget.mapper.mappedWidgetAt(6), QtGui.QLabel)
+        self.assertIsInstance(self.widget.mapper.mappedWidgetAt(7), QtGui.QLabel)
+        self.assertIsInstance(self.widget.mapper.mappedWidgetAt(8), QtGui.QLabel)
+        
+        
+if __name__ == "__main__":
+    unittest.main()
Index: src/sas/qtgui/UnitTesting/Plotter2DTest.py
===================================================================
--- src/sas/qtgui/UnitTesting/Plotter2DTest.py	(revision 03c372db88a55844b6aa666b125e708bd0c77b0a)
+++ src/sas/qtgui/UnitTesting/Plotter2DTest.py	(revision 3bdbfcc5cdff8a3a11a9bb19c1cc8c3660a9c2e2)
@@ -1,4 +1,5 @@
 import sys
 import unittest
+import numpy
 
 from PyQt4 import QtGui
@@ -24,5 +25,13 @@
     def setUp(self):
         '''create'''
-        self.plotter = Plotter2D.Plotter2D(None, quickplot=True)
+        class dummy_manager(object):
+            def communicator(self):
+                return Communicate()
+            def perspective(self):
+                return MyPerspective()
+            def workspace(self):
+                return None
+
+        self.plotter = Plotter2D.Plotter2D(parent=dummy_manager(), quickplot=True)
 
         self.data = Data2D(image=[0.1]*4,
@@ -103,4 +112,24 @@
 
         self.assertTrue(FigureCanvas.draw_idle.called)
+
+    def testOnBoxSum(self):
+        """ Test the box sum display and functionality """
+
+        # hacky way to make things work in manipulations._sum
+        self.data.detector = [1]
+        self.data.err_data = numpy.array([0.0, 0.0, 0.1, 0.0])
+        self.plotter.data = self.data
+        self.plotter.show()
+
+        # Mock the main window
+        self.plotter.manager.parent = MagicMock()
+
+        # Call the main tested method
+        self.plotter.onBoxSum()
+
+        # Test various properties
+        self.assertIsInstance(self.plotter.slicer.model(), QtGui.QStandardItemModel)
+        self.assertTrue(self.plotter.boxwidget.isVisible())
+        self.assertIsInstance(self.plotter.boxwidget.model, QtGui.QStandardItemModel)
 
     def testContextMenuQuickPlot(self):
Index: src/sas/qtgui/UnitTesting/SlicerModelTest.py
===================================================================
--- src/sas/qtgui/UnitTesting/SlicerModelTest.py	(revision 3bdbfcc5cdff8a3a11a9bb19c1cc8c3660a9c2e2)
+++ src/sas/qtgui/UnitTesting/SlicerModelTest.py	(revision 3bdbfcc5cdff8a3a11a9bb19c1cc8c3660a9c2e2)
@@ -0,0 +1,77 @@
+import sys
+import unittest
+from mock import MagicMock
+
+from PyQt4 import QtGui
+from PyQt4 import QtCore
+
+# set up import paths
+import path_prepare
+
+# Local
+from SlicerModel import SlicerModel
+
+app = QtGui.QApplication(sys.argv)
+
+class SlicerModelTest(unittest.TestCase):
+    '''Test the SlicerModel'''
+    def setUp(self):
+        '''Create the SlicerModel'''
+        class SModel(SlicerModel):
+            params = {"a":1, "b":2}
+            def __init__(self):
+                SlicerModel.__init__(self)
+            def getParams(self):
+                return self.params
+            def setParams(self, par):
+                self.params = par
+        self.model = SModel()
+
+    def tearDown(self):
+        '''Destroy the model'''
+        self.model = None
+
+    def testBaseClass(self):
+        '''Assure that SlicerModel contains pure virtuals'''
+        model = SlicerModel()
+        with self.assertRaises(NotImplementedError):
+            model.setParams()
+        with self.assertRaises(NotImplementedError):
+            model.setModelFromParams()
+
+    def testDefaults(self):
+        '''Test the GUI in its default state'''
+        self.assertIsInstance(self.model.model(), QtGui.QStandardItemModel)
+
+    def testSetModelFromParams(self):
+        '''Test the model update'''
+        # Add a row to params
+        new_dict = self.model.getParams()
+        new_dict["c"] = 3
+        self.model.setParams(new_dict)
+
+        # Call the update
+        self.model.setModelFromParams()
+
+        # Check the new model.
+        self.assertEqual(self.model.model().rowCount(), 3)
+        self.assertEqual(self.model.model().columnCount(), 2)
+
+    def testSetParamsFromModel(self):
+        ''' Test the parameters update'''
+        # First - the default model
+        self.model.setModelFromParams()
+        self.assertEqual(self.model.model().rowCount(), 2)
+        self.assertEqual(self.model.model().columnCount(), 2)
+
+        # Add a row
+        item1 = QtGui.QStandardItem("c")
+        item2 = QtGui.QStandardItem(3)
+        self.model.model().appendRow([item1, item2])
+        # Check the new model. The update should be automatic
+        self.assertEqual(self.model.model().rowCount(), 3)
+        self.assertEqual(self.model.model().columnCount(), 2)
+
+
+if __name__ == "__main__":
+    unittest.main()
Index: src/sas/qtgui/run_tests.bat
===================================================================
--- src/sas/qtgui/run_tests.bat	(revision 092a3d9e371190b241becedfa1c1b6039185593a)
+++ src/sas/qtgui/run_tests.bat	(revision 3bdbfcc5cdff8a3a11a9bb19c1cc8c3660a9c2e2)
@@ -23,2 +23,4 @@
 python -m UnitTesting.PlotUtilitiesTest
 python -m UnitTesting.ColorMapTest
+python -m UnitTesting.BoxSumTest
+python -m UnitTesting.SlicerModelTest
Index: src/sas/qtgui/run_tests.sh
===================================================================
--- src/sas/qtgui/run_tests.sh	(revision 092a3d9e371190b241becedfa1c1b6039185593a)
+++ src/sas/qtgui/run_tests.sh	(revision 3bdbfcc5cdff8a3a11a9bb19c1cc8c3660a9c2e2)
@@ -22,2 +22,4 @@
 python -m UnitTesting.PlotUtilitiesTest
 python -m UnitTesting.ColorMapTest
+python -m UnitTesting.BoxSumTest
+python -m UnitTesting.SlicerModelTest
